Package com.google.android.exoplayer2.text.ttml

# Class RelaxedTtmlDecoder

java.lang.Object
com.google.android.exoplayer2.decoder.SimpleDecoder<com.google.android.exoplayer2.text.SubtitleInputBuffer,com.google.android.exoplayer2.text.SubtitleOutputBuffer,com.google.android.exoplayer2.text.SubtitleDecoderException>
com.google.android.exoplayer2.text.SimpleSubtitleDecoder
com.google.android.exoplayer2.text.ttml.TtmlDecoder
com.google.android.exoplayer2.text.ttml.RelaxedTtmlDecoder

All Implemented Interfaces:
  `com.google.android.exoplayer2.decoder.Decoder<com.google.android.exoplayer2.text.SubtitleInputBuffer,com.google.android.exoplayer2.text.SubtitleOutputBuffer,com.google.android.exoplayer2.text.SubtitleDecoderException>`, `com.google.android.exoplayer2.text.SubtitleDecoder`

public final class RelaxedTtmlDecoder extends com.google.android.exoplayer2.text.ttml.TtmlDecoder
A `SimpleSubtitleDecoder` for TTML supporting the DFXP presentation profile. Features supported by this decoder are:

- content
- core
- presentation
- profile
- structure
- time-offset
- timing
- tickRate
- time-clock-with-frames
- time-clock
- time-offset-with-frames
- time-offset-with-ticks
- cell-resolution

See Also:
  - TTML specification

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelaxedTtmlDecoder()`
  Default constructor for the RelaxedTtmlDecoder.

- ## Method Summary

  ### Methods inherited from class com.google.android.exoplayer2.text.SimpleSubtitleDecoder

  `getName, setPositionUs`

  ### Methods inherited from class com.google.android.exoplayer2.decoder.SimpleDecoder

  `dequeueInputBuffer, dequeueOutputBuffer, flush, queueInputBuffer, release`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.android.exoplayer2.decoder.Decoder

  `dequeueInputBuffer, dequeueOutputBuffer, flush, queueInputBuffer, release`

- ## Constructor Details

  - ### RelaxedTtmlDecoder

    public RelaxedTtmlDecoder()
    Default constructor for the RelaxedTtmlDecoder.